<div class="card">
	<div class="card-header heading">Part 2: Executive Summary</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Type of Merchant Business
					(check all that apply)</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding pt-1">
							<form [formGroup]="part2aMerchantForm" *ngIf="businessType">
								<div class="form-group list-style">
									<div class="">
										<div *ngFor="let type of businessType; let i=index">
											<div class="form-check" id="list">
												<label class="form-check-label head"> <input
													class="form-check-input" type="checkbox" name="type" id="{{i + 'type'}}"
													value="type.id" [checked]="type.checked"
													(change)="onTypeChange(type, $event.target.checked)">
													{{type.businessType}}
												</label>
											</div>
											<div class="form-group row"
												*ngIf="type.businessType === 'Others (please specify):' && this.specify">
												<textarea class="form-control offset-sm-1 col-sm-10 head"
													type="text" name="specify" formControlName="specification"
													row="3">
												</textarea>
												 <jhi-display-2-error
												[control]="part2aMerchantForm.controls.specification">
											</jhi-display-2-error>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group" *ngIf="paymentChannelForServe">
									<label class="head" for="paymentChannelBusinessServe"><b>What
											types of payment channels does your business serve?</b></label>
									<div class="list-style"
										*ngFor="let channel of paymentChannelForServe; let i=index">
										<div class="form-check">
											<label class="form-check-label head"> <input
												class="form-check-input" type="checkbox" name="channel"
												value="channel.id" id="{{i + 'serve'}}" [checked]="channel.checked"
												(change)="onChannelChange(channel, $event.target.checked)">
												{{channel.name}}
											</label>
										</div>
									</div>
								</div>
								<div class="form-group" *ngIf="paymentChannelForCover">
									<label class="head" for="paymentChannelSaqCovers"><b>Which payment
										channels are covered by this SAQ?</b></label>
									<div class="list-style"
										*ngFor="let cover of paymentChannelForCover; let i=index">
										<div class="form-check">
											<label class="form-check-label head"> <input
												class="form-check-input" type="checkbox" name="cover"
												value="cover.id" id="{{i + 'cover'}}" [checked]="cover.checked"
												(change)="onChannelCoversChange(cover, $event.target.checked)">
												{{cover.name}}
											</label>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2aMerchantForm.valid || (part2aMerchantForm.value.merchantBusinessTypeSelected).length === 0 
				|| (part2aMerchantForm.value.paymentChannelBusinessServes).length === 0 || (part2aMerchantForm.value.paymentChannelSaqCovers).length === 0" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2aMerchantForm.valid || (part2aMerchantForm.value.merchantBusinessTypeSelected).length === 0
				 || (part2aMerchantForm.value.paymentChannelBusinessServes).length === 0 || (part2aMerchantForm.value.paymentChannelSaqCovers).length === 0" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div> 
			<div class="arrows mt-auto mb-4">
				 <i (click)="forward()" *ngIf="curStates === 'CARD_DESCRIPTION' || curStates === 'LOCATIONS' || curStates === 'PAYMENT_APPLICATIONS' || curStates === 'ENV_DESCRIPTION' || curStates === 'SERVICE_PROVIDERS' || curStates === 'TESTED_REQUIREMENTS' || curStates === 'SUMMARY'"
					class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
	</div>
</div>
